#include "stdafx.h"
#include "CUserInfo.h"

#include "FileOperate.h"

CUserInfo::CUserInfo()
{
}

CUserInfo::~CUserInfo()
{
}

bool CUserInfo::Init(std::string data)
{
	if (data.empty())
	{
		return false;
	}

	try
	{
		nlohmann::json j = nlohmann::json::parse(data.begin(), data.end());

		if (j["code"].get<int>() == 0)
		{
			this->username = j["data"]["email"].get<std::string>();
			this->expiretime = j["data"]["expiretime"].get<std::string>();
			this->unusedTraffic = j["data"]["unusedTraffic"].get<std::string>();
			this->uuid = j["data"]["uuid"].get<std::string>();
			this->clash_config = j["data"]["subscribe_url"].get<std::string>();
			this->enable = j["data"]["banned"].get<int>();
			auto plan = j["data"]["plan"];
			
			this->planName = plan["name"].get<std::string>();

			//this->affurl = j["data"]["affurl"].get<std::string>();
			//this->swoftdownload = j["data"]["swoftdownload"].get<std::string>();
			//this->clash_config = j["data"]["clash_config"].get<std::string>();
			//this->user_login_url = j["data"]["user_login_url"].get<std::string>();
			////
			//this->id = j["data"]["user"].at("id").get<int>();
			//this->username = j["data"]["user"].at("account").get<std::string>();
			//this->expiretime = j["data"]["user"].at("expired_at").get<std::string>();
			//this->password = j["data"]["user"].at("passwd").get<std::string>();
			//this->unusedTraffic = j["data"]["user"].at("unusedTraffic").get<std::string>();
			//this->uuid = j["data"]["user"].at("uuid").get<std::string>();
			//this->level = j["data"]["user"].at("level").get<std::string>();
			//this->port = j["data"]["user"].at("port").get<int>();
			//this->enable = j["data"]["user"].at("enable").get<int>();
			
			return true;

		}
		else
		{
			this->m_error_msg = S_CA2W(j["message"].get<std::string>().c_str(),CP_UTF8).GetBuffer(0);

			return false;
		}


	}
	catch (...)
	{
		this->m_error_msg = L"ݴ";
		return false;
	}
    return false;
}

int CUserInfo::authInit(std::string data)
{
	if (data.empty())
	{
		return -1;
	}

	try
	{
		nlohmann::json j = nlohmann::json::parse(data.begin(), data.end());

		if (j["ret"].get<int>() == 1)
		{
			 
			return 200;

		}
		else
		{
			this->m_error_msg = S_CA2W(j["msg"].get<std::string>().c_str(), CP_UTF8).GetBuffer(0);

			return j["ret"].get<int>();
		}


	}
	catch (...)
	{
		this->m_error_msg = L"ݴ";
		return -1;
	}
	return -1;
}

 

